package de.valentin.colorconsistency;

import android.app.IntentService;
import android.content.Intent;
import androidx.annotation.Nullable;
import de.valentin.colorconsistency.ToKWLP.CreateKLWPIntent;
import de.valentin.colorconsistency.image.ImageChooser;

import java.io.File;

public class ImageChangeService extends IntentService {

    /**
     * Creates an IntentService.  Invoked by your subclass's constructor.
     *
     * @param name Used to name the worker thread, important only for debugging.
     */
    public ImageChangeService(String name) {
        super(name);
    }

    @Override
    protected void onHandleIntent(@Nullable Intent intent) {
        ImageChooser imageChooser = new ImageChooser(new File("/storage/emulated/0/Pictures/Wallpapers"));
        String imagePath=imageChooser.getPath();

        sendBroadcast(new CreateKLWPIntent("imagepath",imagePath).getIntent());
    }




}
